org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmReferentialConstraintRoleImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmReferentialConstraintRoleImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmReferentialConstraintRole

      public class EdmReferentialConstraintRoleImpl
      extends Object
      implements EdmReferentialConstraintRole, EdmAnnotatable

  Objects of this class represent EdmReferentialConstraintRole

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `refNames`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmReferentialConstraintRoleImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `List<EdmPropertyImpl>` | `getProperty()`
    `List<String>` | `getPropertyRefNames()` Get the properties
    `List<String>` | `getRefNames()`
    `String` | `getRole()` Get the role
    `String` | `getRoleName()`
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setProperty(List<EdmPropertyImpl> property)`
    `void` | `setRefNames(List<String> refNames)`
    `void` | `setRole(EdmReferentialConstraintRole role)`
    `void` | `setRoleName(String roleName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### refNames

          protected List<String> refNames

  - ### Constructor Detail

    - #### EdmReferentialConstraintRoleImpl

          public EdmReferentialConstraintRoleImpl()

  - ### Method Detail

    - #### getRefNames

          public List<String> getRefNames()

    - #### setRefNames

          public void setRefNames(List<String> refNames)

    - #### getRoleName

          public String getRoleName()

    - #### getRole

          public String getRole()

      Description copied from interface: `EdmReferentialConstraintRole`
      Get the role
      Specified by:
        `getRole` in interface `EdmReferentialConstraintRole`
      Returns:
        a role as String

    - #### getProperty

          public List<EdmPropertyImpl> getProperty()

      Returns:
        the propertyRefs

    - #### getPropertyRefNames

          public List<String> getPropertyRefNames()

      Description copied from interface: `EdmReferentialConstraintRole`
      Get the properties
      Specified by:
        `getPropertyRefNames` in interface `EdmReferentialConstraintRole`
      Returns:
        a list of names of the properties

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### setRole

          public void setRole(EdmReferentialConstraintRole role)

      Parameters:
        `role` - the role to set

    - #### setRoleName

          public void setRoleName(String roleName)

    - #### setProperty

          public void setProperty(List<EdmPropertyImpl> property)

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.